%Baseline specific instructions

%%% Aleph Parameters---------------------------------
:- set(evalfn,user). %Clause utility is -value returned by user-defined cost()
:- set(clauselength,7).
:- set(minpos,10).
:- set(m,10).
%:- set(noise,10).
:- set(rulefile,'Base1.hyp').


%%% Mode Declarations ---------------------------------
:-modeb(1,category(+abnormalityID,#type_category)).
:-determination(invasive/1,category/2).


%%% Train and Test Sets---------------------------------
:- set(record,true).
:- set(recordfile,'Base1.trace').
:- set(train_pos, '../data/Base.f').
:- set(train_neg, '../data/Base.n').


%%% Background Knowledge---------------------------------
:- consult('../data/Base_1.bk').


%%% Cost function---------------------------------
cost(Clause, [P, N, L], Cost) :-
	evalfn(mestimate, [P,N,L], Acc1),
	Cost is -P * Acc1.
